import { getEndpointPlugin } from "@smithy/middleware-endpoint";
import { getSerdePlugin } from "@smithy/middleware-serde";
import { Command as $Command } from "@smithy/smithy-client";
import { commonParams } from "../endpoint/EndpointParameters";
import { de_ListResourceDelegatesCommand, se_ListResourceDelegatesCommand } from "../protocols/Aws_json1_1";
export { $Command };
export class ListResourceDelegatesCommand extends $Command
    .classBuilder()
    .ep(commonParams)
    .m(function (Command, cs, config, o) {
    return [
        getSerdePlugin(config, this.serialize, this.deserialize),
        getEndpointPlugin(config, Command.getEndpointParameterInstructions()),
    ];
})
    .s("WorkMailService", "ListResourceDelegates", {})
    .n("WorkMailClient", "ListResourceDelegatesCommand")
    .f(void 0, void 0)
    .ser(se_ListResourceDelegatesCommand)
    .de(de_ListResourceDelegatesCommand)
    .build() {
}
