import { SENSITIVE_STRING } from "@smithy/smithy-client";
import { WorkMailServiceException as __BaseException } from "./WorkMailServiceException";
export const AccessControlRuleEffect = {
    ALLOW: "ALLOW",
    DENY: "DENY",
};
export const AccessEffect = {
    ALLOW: "ALLOW",
    DENY: "DENY",
};
export class EntityNotFoundException extends __BaseException {
    name = "EntityNotFoundException";
    $fault = "client";
    Message;
    constructor(opts) {
        super({
            name: "EntityNotFoundException",
            $fault: "client",
            ...opts,
        });
        Object.setPrototypeOf(this, EntityNotFoundException.prototype);
        this.Message = opts.Message;
    }
}
export class EntityStateException extends __BaseException {
    name = "EntityStateException";
    $fault = "client";
    Message;
    constructor(opts) {
        super({
            name: "EntityStateException",
            $fault: "client",
            ...opts,
        });
        Object.setPrototypeOf(this, EntityStateException.prototype);
        this.Message = opts.Message;
    }
}
export class InvalidParameterException extends __BaseException {
    name = "InvalidParameterException";
    $fault = "client";
    Message;
    constructor(opts) {
        super({
            name: "InvalidParameterException",
            $fault: "client",
            ...opts,
        });
        Object.setPrototypeOf(this, InvalidParameterException.prototype);
        this.Message = opts.Message;
    }
}
export class OrganizationNotFoundException extends __BaseException {
    name = "OrganizationNotFoundException";
    $fault = "client";
    Message;
    constructor(opts) {
        super({
            name: "OrganizationNotFoundException",
            $fault: "client",
            ...opts,
        });
        Object.setPrototypeOf(this, OrganizationNotFoundException.prototype);
        this.Message = opts.Message;
    }
}
export class OrganizationStateException extends __BaseException {
    name = "OrganizationStateException";
    $fault = "client";
    Message;
    constructor(opts) {
        super({
            name: "OrganizationStateException",
            $fault: "client",
            ...opts,
        });
        Object.setPrototypeOf(this, OrganizationStateException.prototype);
        this.Message = opts.Message;
    }
}
export class UnsupportedOperationException extends __BaseException {
    name = "UnsupportedOperationException";
    $fault = "client";
    Message;
    constructor(opts) {
        super({
            name: "UnsupportedOperationException",
            $fault: "client",
            ...opts,
        });
        Object.setPrototypeOf(this, UnsupportedOperationException.prototype);
        this.Message = opts.Message;
    }
}
export class DirectoryServiceAuthenticationFailedException extends __BaseException {
    name = "DirectoryServiceAuthenticationFailedException";
    $fault = "client";
    Message;
    constructor(opts) {
        super({
            name: "DirectoryServiceAuthenticationFailedException",
            $fault: "client",
            ...opts,
        });
        Object.setPrototypeOf(this, DirectoryServiceAuthenticationFailedException.prototype);
        this.Message = opts.Message;
    }
}
export class DirectoryUnavailableException extends __BaseException {
    name = "DirectoryUnavailableException";
    $fault = "client";
    Message;
    constructor(opts) {
        super({
            name: "DirectoryUnavailableException",
            $fault: "client",
            ...opts,
        });
        Object.setPrototypeOf(this, DirectoryUnavailableException.prototype);
        this.Message = opts.Message;
    }
}
export class ResourceNotFoundException extends __BaseException {
    name = "ResourceNotFoundException";
    $fault = "client";
    Message;
    constructor(opts) {
        super({
            name: "ResourceNotFoundException",
            $fault: "client",
            ...opts,
        });
        Object.setPrototypeOf(this, ResourceNotFoundException.prototype);
        this.Message = opts.Message;
    }
}
export const AvailabilityProviderType = {
    EWS: "EWS",
    LAMBDA: "LAMBDA",
};
export class EmailAddressInUseException extends __BaseException {
    name = "EmailAddressInUseException";
    $fault = "client";
    Message;
    constructor(opts) {
        super({
            name: "EmailAddressInUseException",
            $fault: "client",
            ...opts,
        });
        Object.setPrototypeOf(this, EmailAddressInUseException.prototype);
        this.Message = opts.Message;
    }
}
export class LimitExceededException extends __BaseException {
    name = "LimitExceededException";
    $fault = "client";
    Message;
    constructor(opts) {
        super({
            name: "LimitExceededException",
            $fault: "client",
            ...opts,
        });
        Object.setPrototypeOf(this, LimitExceededException.prototype);
        this.Message = opts.Message;
    }
}
export class MailDomainNotFoundException extends __BaseException {
    name = "MailDomainNotFoundException";
    $fault = "client";
    Message;
    constructor(opts) {
        super({
            name: "MailDomainNotFoundException",
            $fault: "client",
            ...opts,
        });
        Object.setPrototypeOf(this, MailDomainNotFoundException.prototype);
        this.Message = opts.Message;
    }
}
export class MailDomainStateException extends __BaseException {
    name = "MailDomainStateException";
    $fault = "client";
    Message;
    constructor(opts) {
        super({
            name: "MailDomainStateException",
            $fault: "client",
            ...opts,
        });
        Object.setPrototypeOf(this, MailDomainStateException.prototype);
        this.Message = opts.Message;
    }
}
export class NameAvailabilityException extends __BaseException {
    name = "NameAvailabilityException";
    $fault = "client";
    Message;
    constructor(opts) {
        super({
            name: "NameAvailabilityException",
            $fault: "client",
            ...opts,
        });
        Object.setPrototypeOf(this, NameAvailabilityException.prototype);
        this.Message = opts.Message;
    }
}
export class ReservedNameException extends __BaseException {
    name = "ReservedNameException";
    $fault = "client";
    Message;
    constructor(opts) {
        super({
            name: "ReservedNameException",
            $fault: "client",
            ...opts,
        });
        Object.setPrototypeOf(this, ReservedNameException.prototype);
        this.Message = opts.Message;
    }
}
export const ImpersonationRoleType = {
    FULL_ACCESS: "FULL_ACCESS",
    READ_ONLY: "READ_ONLY",
};
export const MobileDeviceAccessRuleEffect = {
    ALLOW: "ALLOW",
    DENY: "DENY",
};
export class DirectoryInUseException extends __BaseException {
    name = "DirectoryInUseException";
    $fault = "client";
    Message;
    constructor(opts) {
        super({
            name: "DirectoryInUseException",
            $fault: "client",
            ...opts,
        });
        Object.setPrototypeOf(this, DirectoryInUseException.prototype);
        this.Message = opts.Message;
    }
}
export const ResourceType = {
    EQUIPMENT: "EQUIPMENT",
    ROOM: "ROOM",
};
export const UserRole = {
    REMOTE_USER: "REMOTE_USER",
    RESOURCE: "RESOURCE",
    SYSTEM_USER: "SYSTEM_USER",
    USER: "USER",
};
export class InvalidPasswordException extends __BaseException {
    name = "InvalidPasswordException";
    $fault = "client";
    Message;
    constructor(opts) {
        super({
            name: "InvalidPasswordException",
            $fault: "client",
            ...opts,
        });
        Object.setPrototypeOf(this, InvalidPasswordException.prototype);
        this.Message = opts.Message;
    }
}
export const MemberType = {
    GROUP: "GROUP",
    USER: "USER",
};
export class InvalidCustomSesConfigurationException extends __BaseException {
    name = "InvalidCustomSesConfigurationException";
    $fault = "client";
    Message;
    constructor(opts) {
        super({
            name: "InvalidCustomSesConfigurationException",
            $fault: "client",
            ...opts,
        });
        Object.setPrototypeOf(this, InvalidCustomSesConfigurationException.prototype);
        this.Message = opts.Message;
    }
}
export class MailDomainInUseException extends __BaseException {
    name = "MailDomainInUseException";
    $fault = "client";
    Message;
    constructor(opts) {
        super({
            name: "MailDomainInUseException",
            $fault: "client",
            ...opts,
        });
        Object.setPrototypeOf(this, MailDomainInUseException.prototype);
        this.Message = opts.Message;
    }
}
export const EntityType = {
    GROUP: "GROUP",
    RESOURCE: "RESOURCE",
    USER: "USER",
};
export const EntityState = {
    DELETED: "DELETED",
    DISABLED: "DISABLED",
    ENABLED: "ENABLED",
};
export const IdentityProviderAuthenticationMode = {
    IDENTITY_PROVIDER_AND_DIRECTORY: "IDENTITY_PROVIDER_AND_DIRECTORY",
    IDENTITY_PROVIDER_ONLY: "IDENTITY_PROVIDER_ONLY",
};
export const PersonalAccessTokenConfigurationStatus = {
    ACTIVE: "ACTIVE",
    INACTIVE: "INACTIVE",
};
export const MailboxExportJobState = {
    CANCELLED: "CANCELLED",
    COMPLETED: "COMPLETED",
    FAILED: "FAILED",
    RUNNING: "RUNNING",
};
export const DnsRecordVerificationStatus = {
    FAILED: "FAILED",
    PENDING: "PENDING",
    VERIFIED: "VERIFIED",
};
export class EntityAlreadyRegisteredException extends __BaseException {
    name = "EntityAlreadyRegisteredException";
    $fault = "client";
    Message;
    constructor(opts) {
        super({
            name: "EntityAlreadyRegisteredException",
            $fault: "client",
            ...opts,
        });
        Object.setPrototypeOf(this, EntityAlreadyRegisteredException.prototype);
        this.Message = opts.Message;
    }
}
export const RetentionAction = {
    DELETE: "DELETE",
    NONE: "NONE",
    PERMANENTLY_DELETE: "PERMANENTLY_DELETE",
};
export const FolderName = {
    DELETED_ITEMS: "DELETED_ITEMS",
    DRAFTS: "DRAFTS",
    INBOX: "INBOX",
    JUNK_EMAIL: "JUNK_EMAIL",
    SENT_ITEMS: "SENT_ITEMS",
};
export class InvalidConfigurationException extends __BaseException {
    name = "InvalidConfigurationException";
    $fault = "client";
    Message;
    constructor(opts) {
        super({
            name: "InvalidConfigurationException",
            $fault: "client",
            ...opts,
        });
        Object.setPrototypeOf(this, InvalidConfigurationException.prototype);
        this.Message = opts.Message;
    }
}
export const PermissionType = {
    FULL_ACCESS: "FULL_ACCESS",
    SEND_AS: "SEND_AS",
    SEND_ON_BEHALF: "SEND_ON_BEHALF",
};
export class TooManyTagsException extends __BaseException {
    name = "TooManyTagsException";
    $fault = "client";
    Message;
    constructor(opts) {
        super({
            name: "TooManyTagsException",
            $fault: "client",
            ...opts,
        });
        Object.setPrototypeOf(this, TooManyTagsException.prototype);
        this.Message = opts.Message;
    }
}
export const EwsAvailabilityProviderFilterSensitiveLog = (obj) => ({
    ...obj,
    ...(obj.EwsPassword && { EwsPassword: SENSITIVE_STRING }),
});
export const CreateAvailabilityConfigurationRequestFilterSensitiveLog = (obj) => ({
    ...obj,
    ...(obj.EwsProvider && { EwsProvider: EwsAvailabilityProviderFilterSensitiveLog(obj.EwsProvider) }),
});
export const CreateResourceRequestFilterSensitiveLog = (obj) => ({
    ...obj,
    ...(obj.Description && { Description: SENSITIVE_STRING }),
});
export const CreateUserRequestFilterSensitiveLog = (obj) => ({
    ...obj,
    ...(obj.DisplayName && { DisplayName: SENSITIVE_STRING }),
    ...(obj.Password && { Password: SENSITIVE_STRING }),
    ...(obj.FirstName && { FirstName: SENSITIVE_STRING }),
    ...(obj.LastName && { LastName: SENSITIVE_STRING }),
});
export const DescribeResourceResponseFilterSensitiveLog = (obj) => ({
    ...obj,
    ...(obj.Description && { Description: SENSITIVE_STRING }),
});
export const DescribeUserResponseFilterSensitiveLog = (obj) => ({
    ...obj,
    ...(obj.DisplayName && { DisplayName: SENSITIVE_STRING }),
    ...(obj.FirstName && { FirstName: SENSITIVE_STRING }),
    ...(obj.LastName && { LastName: SENSITIVE_STRING }),
    ...(obj.Initials && { Initials: SENSITIVE_STRING }),
    ...(obj.Telephone && { Telephone: SENSITIVE_STRING }),
    ...(obj.Street && { Street: SENSITIVE_STRING }),
    ...(obj.JobTitle && { JobTitle: SENSITIVE_STRING }),
    ...(obj.City && { City: SENSITIVE_STRING }),
    ...(obj.Company && { Company: SENSITIVE_STRING }),
    ...(obj.ZipCode && { ZipCode: SENSITIVE_STRING }),
    ...(obj.Department && { Department: SENSITIVE_STRING }),
    ...(obj.Country && { Country: SENSITIVE_STRING }),
    ...(obj.Office && { Office: SENSITIVE_STRING }),
});
export const ResourceFilterSensitiveLog = (obj) => ({
    ...obj,
    ...(obj.Description && { Description: SENSITIVE_STRING }),
});
export const ListResourcesResponseFilterSensitiveLog = (obj) => ({
    ...obj,
    ...(obj.Resources && { Resources: obj.Resources.map((item) => ResourceFilterSensitiveLog(item)) }),
});
export const ListUsersFiltersFilterSensitiveLog = (obj) => ({
    ...obj,
    ...(obj.DisplayNamePrefix && { DisplayNamePrefix: SENSITIVE_STRING }),
});
export const ListUsersRequestFilterSensitiveLog = (obj) => ({
    ...obj,
    ...(obj.Filters && { Filters: ListUsersFiltersFilterSensitiveLog(obj.Filters) }),
});
export const PutRetentionPolicyRequestFilterSensitiveLog = (obj) => ({
    ...obj,
    ...(obj.Description && { Description: SENSITIVE_STRING }),
});
export const ResetPasswordRequestFilterSensitiveLog = (obj) => ({
    ...obj,
    ...(obj.Password && { Password: SENSITIVE_STRING }),
});
export const TestAvailabilityConfigurationRequestFilterSensitiveLog = (obj) => ({
    ...obj,
    ...(obj.EwsProvider && { EwsProvider: EwsAvailabilityProviderFilterSensitiveLog(obj.EwsProvider) }),
});
export const UpdateAvailabilityConfigurationRequestFilterSensitiveLog = (obj) => ({
    ...obj,
    ...(obj.EwsProvider && { EwsProvider: EwsAvailabilityProviderFilterSensitiveLog(obj.EwsProvider) }),
});
export const UpdateResourceRequestFilterSensitiveLog = (obj) => ({
    ...obj,
    ...(obj.Description && { Description: SENSITIVE_STRING }),
});
export const UpdateUserRequestFilterSensitiveLog = (obj) => ({
    ...obj,
    ...(obj.DisplayName && { DisplayName: SENSITIVE_STRING }),
    ...(obj.FirstName && { FirstName: SENSITIVE_STRING }),
    ...(obj.LastName && { LastName: SENSITIVE_STRING }),
    ...(obj.Initials && { Initials: SENSITIVE_STRING }),
    ...(obj.Telephone && { Telephone: SENSITIVE_STRING }),
    ...(obj.Street && { Street: SENSITIVE_STRING }),
    ...(obj.JobTitle && { JobTitle: SENSITIVE_STRING }),
    ...(obj.City && { City: SENSITIVE_STRING }),
    ...(obj.Company && { Company: SENSITIVE_STRING }),
    ...(obj.ZipCode && { ZipCode: SENSITIVE_STRING }),
    ...(obj.Department && { Department: SENSITIVE_STRING }),
    ...(obj.Country && { Country: SENSITIVE_STRING }),
    ...(obj.Office && { Office: SENSITIVE_STRING }),
});
